<?php
/**
 * Filename: WPPosts.php
 * Author: LPH
 */

/**
 * Class TRN_XenLate_Model_WPPosts
 */
class TRN_XenLate_Model_WPPosts extends XenForo_Model
{
    /**
     * @return array|false
     */
    public function getPosts()
    {

        define('WP_USE_THEMES', false);
        define('DOCUMENT_ROOT', $_SERVER['DOCUMENT_ROOT']);

        // Change the path to the correct location
        require(DOCUMENT_ROOT . '/wp-blog-header.php');

        $args = array(
            'numberposts' => '5',
            'offset'      => 0,
            'post_type'   => 'post',
            'post_status' => 'publish'
        );

        $LatestWPPosts = wp_get_recent_posts($args);

        return $LatestWPPosts;
    }

	/**
	 * @param $LatestWPPosts
	 *
	 * @return string
	 */
	public function preparePosts(array $LatestWPPosts)
	{
		$LatestPosts = array();
		foreach($LatestWPPosts as &$LatestWPPost)
		{
			$LatestPostTitle = $LatestWPPost['post_title'];
			$LatestPostUrl = esc_url(get_permalink($LatestWPPost['ID']));
			$LatestPostExcerpt = $LatestWPPost['post_excerpt'];
			$LatestPostThumbnail = get_the_post_thumbnail_url($LatestWPPost['ID'], array(50, 50));
			$LatestPosts[] = array( 'postTitle' => $LatestPostTitle, 'postUrl' => $LatestPostUrl , 'postExcerpt' => $LatestPostExcerpt, 'postThumbnailUrl' => $LatestPostThumbnail ) ;
		}

		return $LatestPosts;
	}
}

// End WPPosts.php
